Bug 575854 (CVE-2010-0841) - CVE-2010-0841 OpenJDK JPEGImageReader stepX Integer Overflow Vulnerability (6909597)
Summary: CVE-2010-0841 OpenJDK JPEGImageReader stepX Integer Overflow Vulnerability (6...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 594679 618146 618147 618148 618196 618246 618971
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-22 14:45 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:52:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0337 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-04-01 00:21:33 UTC
Red Hat Product Errata RHSA-2010:0338 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2010-04-01 04:04:18 UTC
Red Hat Product Errata RHSA-2010:0383 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2010-04-29 17:49:44 UTC
Red Hat Product Errata RHSA-2010:0471 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-06-14 23:23:31 UTC
Red Hat Product Errata RHSA-2010:0489 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-06-17 21:42:54 UTC
Red Hat Product Errata RHSA-2010:0574 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2010-07-29 16:40:02 UTC
Red Hat Product Errata RHSA-2010:0586 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm-sap security update 2010-08-02 20:44:00 UTC

Comment 1 Jan Lieskovsky 2010-03-31 21:20:37 UTC
An integer overflow in the JPEGImageReader of the JRE could allow
an attacker to crash an untrusted applet or application.

Comment 3 errata-xmlrpc 2010-04-01 00:22:07 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0337 https://rhn.redhat.com/errata/RHSA-2010-0337.html

Comment 4 errata-xmlrpc 2010-04-01 02:57:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Supplementary for RHEL 5.2.z
  Supplementary for RHEL 5.3.z

Via RHSA-2010:0338 https://rhn.redhat.com/errata/RHSA-2010-0338.html

Comment 5 Fedora Update System 2010-04-06 16:34:51 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-34.b17.fc11

Comment 6 Fedora Update System 2010-04-06 16:37:17 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc12

Comment 7 Fedora Update System 2010-04-07 07:11:39 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b17.fc13

Comment 8 Fedora Update System 2010-04-09 01:28:15 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-09 01:31:52 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-09 06:55:55 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc13

Comment 11 Fedora Update System 2010-04-09 21:04:12 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2010-04-29 17:50:08 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0383 https://rhn.redhat.com/errata/RHSA-2010-0383.html

Comment 14 errata-xmlrpc 2010-06-14 23:24:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0471 https://rhn.redhat.com/errata/RHSA-2010-0471.html

Comment 15 errata-xmlrpc 2010-06-17 21:43:16 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0489 https://rhn.redhat.com/errata/RHSA-2010-0489.html

Comment 20 errata-xmlrpc 2010-07-29 16:40:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0574 https://rhn.redhat.com/errata/RHSA-2010-0574.html

Comment 21 errata-xmlrpc 2010-08-02 20:44:17 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP

Via RHSA-2010:0586 https://rhn.redhat.com/errata/RHSA-2010-0586.html


Note You need to log in before you can comment on or make changes to this bug.